Subject: Re: [bitcoin-dev] bip48 proposal

From: Keagan McClelland <[email-masked]>
Date: Wed, 16 Dec 2020 11:48:30 -0700

I was just looking into the conventions around this yesterday! It seems
like this proposal is mostly just formalizing stuff that is already a tacit
standard. I'm glad to see that someone is documenting it somewhere more
"official".

It appears consistent with https://github.com/bitcoin/bips/pull/253, However,
due to historical timing, the PR you linked doesn't include any standards
around segwit conventions.

In the review thread you had mentioned that you needed an ACK from prusnak,
but he explicitly gave a NACK in favor of a separate proposal for BIP 48,
which seems like it could be something like the OP. Reading the proposal it
seems consistent with the pull request that you linked, as well. At the end
of the thread the author of PR#253 said they would open a separate
proposal, but it appears that it never materialized. Was there a reason for
this?

Keagan

On Wed, Dec 16, 2020 at 10:17 AM Luke Dashjr via bitcoin-dev <
[email-masked]> wrote:

> BIP number 48 has not been assigned. Do not self-assign BIP numbers.
>
> Is this intended to be compatible with
> https://github.com/bitcoin/bips/pull/253 ?
>
> Luke
>
>
>
> On Wednesday 16 December 2020 14:10:28 dentondevelopment via bitcoin-dev
> wrote:
> > Here is the repo instead of a static link:
> > https://github.com/Fonta1n3/bips/blob/master/bip-0048.mediawiki
> >
> > Fontaine
> >
> > Sent with [ProtonMail](https://protonmail.com) Secure Email.
> >
> > ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> >
> > On Wednesday, December 16, 2020 8:43 PM, dentondevelopment via
> bitcoin-dev
> <[email-masked]> wrote:
> > > Hello,
> > >
> > > I would like to propose bip48 (taking bip44 as inspiration), with the
> > > purpose of documenting modern multi-sig derivations.
> > >
> > > Please see a rough draft of the proposed bip attached, comments/input
> > > welcome.
> > >
> > > Regards,
> > > Fontaine
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>